\documentclass[a4paper]{report}
% Packages
\usepackage{geometry} % Fix a4 format and margin
\usepackage[utf8]{inputenc} % UTF-8 encoding
\usepackage{amsmath} % Math environments
\usepackage{amsfonts, dsfont} % Math fonts
\usepackage{amssymb}
\usepackage{mathtools}
\usepackage{amsthm}
\usepackage{authblk} % Author and affiliations
\usepackage[hidelinks]{hyperref} % Links
\usepackage{graphicx} % Include graphics
\usepackage{subcaption}
\usepackage{helvet} % Helvetica font
\usepackage{booktabs,xcolor}
\usepackage[sectionbib]{natbib} % Handle independent references for each chapter
\usepackage{chapterbib} % Handle independent references for each chapter
\usepackage[ruled,vlined]{algorithm2e}
\usepackage{algorithmic}

\usepackage[absolute,overlay]{textpos}
\usepackage{array}
\usepackage{caption}
\usepackage{multicol}
\usepackage[french]{babel}
\usepackage{lipsum}
\usepackage{setspace}

% Set geometries
\geometry{
	left=16mm,
	top=30mm,
	right=16mm,
	bottom=30mm
}
\setlength{\columnseprule}{0pt}
\setlength\columnsep{10pt}

% Commands
\renewcommand{\familydefault}{\sfdefault}
\providecommand{\keywords}[1]{\textbf{\textit{Index terms---}} #1}
\newcommand{\coo}{CO\textsubscript{2} }
\newcommand{\encoding}{\mathsf{z}^e}
\newcommand{\quantized}{\mathsf{z}}
\newcommand{\codebook}{\mathrm{e}}
\newcommand{\argmin}{\mathtt{argmin}}
\newcommand{\argmax}{\mathtt{argmax}}
\newcommand{\elbo}{\mathcal{L}}
\newcommand{\loss}{\mathbb J_{\theta, \varphi} }
\newcommand{\expectation}{\mathbb{E}_{q_\phi}}
\newcommand{\command}{u}
\newcommand{\softmax}{\mathtt{softmax}}
\newcommand{\rmd}{\mathrm{d}}
\newcommand{\rset}{\mathbb{R}}
\newcommand{\latentcont}{\mathsf{z}_e}
\newcommand{\latentcontpred}{\mathsf{h}_e}
\newcommand{\embedspace}{\mathcal{E}}
\newcommand{\bckw}{\tilde{q}}
\newcommand{\tcr}[1]{\textcolor{red}{#1}}

\theoremstyle{plain}
\newtheorem{theorem}{Theorem}[section]
\newtheorem{proposition}[theorem]{Proposition}
\newtheorem{lemma}[theorem]{Lemma}
\newtheorem{corollary}[theorem]{Corollary}
\theoremstyle{definition}
\newtheorem{definition}[theorem]{Definition}
\newtheorem{assumption}[theorem]{Assumption}
\theoremstyle{remark}
\newtheorem{remark}[theorem]{Remark}


\include{src/infos}

\begin{document}

\onehalfspacing

\include{src/first_page}
\include{src/thanks}
\tableofcontents

\include{src/intro/main_fr}
\include{src/intro/main}
\include{src/chap1/main}
\include{src/chap2/main}
\include{src/chap3/main}
\include{src/conclusion}
\include{src/appendix}
\include{src/last_page}
\end{document}
